# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-spelling

Name:           python-%{pypi_name}
Version:        7.1.0
Release:        %mkrel 1
Summary:        Sphinx spelling extension
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-spelling
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pyenchant)
BuildRequires:  python3dist(unittest2)
BuildRequires:  python3dist(pytest)

BuildRequires:  git-core
BuildRequires:  hunspell-en
BuildRequires:  pkgconfig(enchant-2)

%description
Spelling checker for Sphinx-based documentation. It uses PyEnchant to produce
a report showing misspelled words.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyenchant)
Requires:       python3dist(six)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
Spelling checker for Sphinx-based documentation. It uses PyEnchant to produce
a report showing misspelled words.

%package -n python-%{pypi_name}-doc
Summary:        sphinxcontrib-spelling documentation

%description -n python-%{pypi_name}-doc
Documentation for sphinxcontrib-spelling

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} -m pytest -k "not test_contributors"

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/sphinxcontrib/spelling/
%{python3_sitelib}/sphinxcontrib_spelling-%{version}-py?.?-nspkg.pth
%{python3_sitelib}/sphinxcontrib_spelling-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE



%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 7.1.0-1.mga8
+ Revision: 1644721
- new version 7.1.0

* Thu Apr 09 2020 kekepower <kekepower> 4.3.0-1.mga8
+ Revision: 1565708
- Update to version 4.3.0

* Sun Feb 16 2020 umeabot <umeabot> 4.2.1-4.mga8
+ Revision: 1533989
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 4.2.1-3.mga8
+ Revision: 1446579
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 4.2.1-2.mga8
+ Revision: 1427254
- drop python2 support
- fix descriptions

* Sun Apr 07 2019 kekepower <kekepower> 4.2.1-1.mga7
+ Revision: 1386626
- Update to version 4.2.1

* Mon Jan 07 2019 kekepower <kekepower> 4.2.0-1.mga7
+ Revision: 1351208
- Update to version 4.2.0

* Thu Sep 20 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1290220
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 kekepower <kekepower> 4.1.0-1.mga7
+ Revision: 1223119
- Update BRs and Requires
- BR python2-sphinx
- BR python-enchant
- imported package python-sphinxcontrib-spelling

